<html>
<head>
<title>OGRE: Ogre::ParticleIterator Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ParticleIterator.html">ParticleIterator</a></div>
<h1>Ogre::ParticleIterator Class Reference</h1><!-- doxytag: class="Ogre::ParticleIterator" -->Convenience class to make it easy to step through all particles in a <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreParticleIterator_8h-source.html">OgreParticleIterator.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ParticleIterator-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#11eb0d89627f9aa38052a77f50c6081d">end</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Particle.html">Particle</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#cc0d0e3d1c86a0dc49e0dcb3a4b7295a">getNext</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a pointer to the next particle, and moves the iterator on by 1 element.  <a href="#cc0d0e3d1c86a0dc49e0dcb3a4b7295a"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#b2cdcb9258df9075248177854b5897df">ParticleIterator</a> (std::list&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::iterator start, std::list&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::iterator end)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Protected constructor, only available from ParticleSystem::getIterator.  <a href="#b2cdcb9258df9075248177854b5897df"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::list&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;<br>
::iterator&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#4290e205911de752a815515896cee710">mPos</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::list&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;<br>
::iterator&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#5541e0e62703252dbef5a02419a8625f">mStart</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">std::list&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;<br>
::iterator&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#34bbc54dc4d6767dd47d075ff25057d6">mEnd</a></td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleIterator.html#233ae59d6977e50773d931c6fd613030">ParticleSystem</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Convenience class to make it easy to step through all particles in a <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>. 
<p>Definition at line <a class="el" href="OgreParticleIterator_8h-source.html#l00039">39</a> of file <a class="el" href="OgreParticleIterator_8h-source.html">OgreParticleIterator.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="b2cdcb9258df9075248177854b5897df"></a><!-- doxytag: member="Ogre::ParticleIterator::ParticleIterator" ref="b2cdcb9258df9075248177854b5897df" args="(std::list&lt; Particle * &gt;::iterator start, std::list&lt; Particle * &gt;::iterator end)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ParticleIterator::ParticleIterator           </td>
          <td>(</td>
          <td class="paramtype">std::list&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::iterator&nbsp;</td>
          <td class="paramname"> <em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::list&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::iterator&nbsp;</td>
          <td class="paramname"> <em>end</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Protected constructor, only available from ParticleSystem::getIterator. 
<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="11eb0d89627f9aa38052a77f50c6081d"></a><!-- doxytag: member="Ogre::ParticleIterator::end" ref="11eb0d89627f9aa38052a77f50c6081d" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ParticleIterator::end           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="cc0d0e3d1c86a0dc49e0dcb3a4b7295a"></a><!-- doxytag: member="Ogre::ParticleIterator::getNext" ref="cc0d0e3d1c86a0dc49e0dcb3a4b7295a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Particle.html">Particle</a>* Ogre::ParticleIterator::getNext           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a pointer to the next particle, and moves the iterator on by 1 element. 
<p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="233ae59d6977e50773d931c6fd613030"></a><!-- doxytag: member="Ogre::ParticleIterator::ParticleSystem" ref="233ae59d6977e50773d931c6fd613030" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a><code> [friend]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreParticleIterator_8h-source.html#l00041">41</a> of file <a class="el" href="OgreParticleIterator_8h-source.html">OgreParticleIterator.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="4290e205911de752a815515896cee710"></a><!-- doxytag: member="Ogre::ParticleIterator::mPos" ref="4290e205911de752a815515896cee710" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::list&lt;<a class="el" href="classOgre_1_1Particle.html">Particle</a>*&gt;::iterator <a class="el" href="classOgre_1_1ParticleIterator.html#4290e205911de752a815515896cee710">Ogre::ParticleIterator::mPos</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreParticleIterator_8h-source.html#l00043">43</a> of file <a class="el" href="OgreParticleIterator_8h-source.html">OgreParticleIterator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5541e0e62703252dbef5a02419a8625f"></a><!-- doxytag: member="Ogre::ParticleIterator::mStart" ref="5541e0e62703252dbef5a02419a8625f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::list&lt;<a class="el" href="classOgre_1_1Particle.html">Particle</a>*&gt;::iterator <a class="el" href="classOgre_1_1ParticleIterator.html#5541e0e62703252dbef5a02419a8625f">Ogre::ParticleIterator::mStart</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreParticleIterator_8h-source.html#l00044">44</a> of file <a class="el" href="OgreParticleIterator_8h-source.html">OgreParticleIterator.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="34bbc54dc4d6767dd47d075ff25057d6"></a><!-- doxytag: member="Ogre::ParticleIterator::mEnd" ref="34bbc54dc4d6767dd47d075ff25057d6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::list&lt;<a class="el" href="classOgre_1_1Particle.html">Particle</a>*&gt;::iterator <a class="el" href="classOgre_1_1ParticleIterator.html#34bbc54dc4d6767dd47d075ff25057d6">Ogre::ParticleIterator::mEnd</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreParticleIterator_8h-source.html#l00045">45</a> of file <a class="el" href="OgreParticleIterator_8h-source.html">OgreParticleIterator.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreParticleIterator_8h-source.html">OgreParticleIterator.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:22 2008
</p>
</body>
</html>
